# BOOT ACL
#
/sbin/lidsconf -A BOOT -o /sbin/depmod -j READONLY
/sbin/lidsconf -A BOOT -o /lib -j READONLY
/sbin/lidsconf -A BOOT -s /sbin/depmod -o /lib -j WRITE

# Below lines are for init
/sbin/lidsconf -A BOOT -s /sbin/init -o CAP_SYS_ADMIN -i -1 -j GRANT
/sbin/lidsconf -A BOOT -s /sbin/init -o CAP_SYS_BOOT  -i -1 -j GRANT
/sbin/lidsconf -A BOOT -s /sbin/init -o CAP_SYS_TTY_CONFIG -i -1 -j GRANT
# Below line is for putting dmesg log file as /var/log/dmesg file
/sbin/lidsconf -A BOOT -s /bin/bash -o /var/log/dmesg -j WRITE
/sbin/lidsconf -A BOOT -s /bin/bash -o CAP_SYS_TTY_CONFIG -j GRANT
/sbin/lidsconf -A BOOT -s /bin/bash -o CAP_DAC_OVERRIDE -j GRANT
# Below line is for swap 
/sbin/lidsconf -A BOOT -s /sbin/swapon -o CAP_SYS_ADMIN -j GRANT
# Below line is for making pid file under /var/run 
/sbin/lidsconf -A BOOT -o /var/run -j WRITE
# Below line is for /dev
/sbin/lidsconf -A BOOT -o /dev -j WRITE
# Below line is for removing boot-temp file under /tmp
/sbin/lidsconf -A BOOT -s /bin/rm -o /tmp -j WRITE
/sbin/lidsconf -A BOOT -s /bin/rm -o CAP_SYS_TTY_CONFIG -j GRANT 
# Below lines are for fsck
/sbin/lidsconf -A BOOT -s /sbin/fsck -o CAP_SYS_RAWIO -j GRANT
/sbin/lidsconf -A BOOT -s /sbin/fsck.ext2 -o CAP_SYS_RAWIO -j GRANT
# Below lines are for mounting FileSystem 
/sbin/lidsconf -A BOOT -s /bin/mount -o CAP_SYS_ADMIN -j GRANT
/sbin/lidsconf -A BOOT -s /bin/umount -o CAP_SYS_ADMIN -j GRANT
/sbin/lidsconf -A BOOT -s /sbin/blockdev -o CAP_SYS_ADMIN -j GRANT
/sbin/lidsconf -A BOOT -s /bin/mount -o CAP_SYS_RAWIO -j GRANT
/sbin/lidsconf -A BOOT -s /bin/mount -o CAP_DAC_OVERRIDE -j GRANT
/sbin/lidsconf -A BOOT -s /sbin/sfdisk -o CAP_SYS_RAWIO -j GRANT
/sbin/lidsconf -A BOOT -s /usr/bin/partition_uuid -o CAP_SYS_RAWIO -j GRANT
/sbin/lidsconf -A BOOT -s /sbin/partx -o CAP_SYS_RAWIO -j GRANT
# Below line is for hwclock
/sbin/lidsconf -A BOOT -s /sbin/hwclock -o CAP_SYS_TIME -j GRANT
# Below line is for Microcode-Ctrl
/sbin/lidsconf -A BOOT -s /sbin/microcode_ctl -o CAP_SYS_RAWIO -j GRANT
# Below line is for xinetd
/sbin/lidsconf -A BOOT -s /usr/sbin/xinetd -o CAP_NET_BIND_SERVICE 932 -j GRANT
# Below line is for console
/sbin/lidsconf -A BOOT -s /sbin/consoletype -o CAP_SYS_ADMIN -j GRANT
/sbin/lidsconf -A BOOT -s /bin/rm -o CAP_SYS_ADMIN -j GRANT
# Below lines are for iptables
/sbin/lidsconf -A BOOT -s /sbin/iptables -o CAP_NET_RAW -j GRANT
/sbin/lidsconf -A BOOT -s /sbin/iptables -o CAP_NET_ADMIN -j GRANT
/sbin/lidsconf -A BOOT -s /sbin/iptables-restore -o CAP_NET_RAW -j GRANT
/sbin/lidsconf -A BOOT -s /sbin/iptables-restore -o CAP_NET_ADMIN -j GRANT
# Below lines are for NIC
/sbin/lidsconf -A BOOT -s /sbin/mii-tool -o CAP_NET_ADMIN -j GRANT
/sbin/lidsconf -A BOOT -s /sbin/ifconfig -o CAP_NET_ADMIN -j GRANT
# Below lines are for ip networking
/sbin/lidsconf -A BOOT -s /bin/hostname -o CAP_SYS_ADMIN -j GRANT
/sbin/lidsconf -A BOOT -s /sbin/ip -o CAP_NET_ADMIN -j GRANT
/sbin/lidsconf -A BOOT -s /sbin/route -o CAP_NET_ADMIN -j GRANT
/sbin/lidsconf -A BOOT -s /sbin/ethtool -o CAP_NET_ADMIN -j GRANT
/sbin/lidsconf -A BOOT -s /sbin/arping -o CAP_NET_RAW -j GRANT
/sbin/lidsconf -A BOOT -s /sbin/arping -o CAP_SETUID -j GRANT
# Below lines are for modules
/sbin/lidsconf -A BOOT -s /sbin/insmod -o CAP_SYS_MODULE -j GRANT
# Below lines are for kudzu
/sbin/lidsconf -A BOOT -s /usr/sbin/kudzu -o /etc/sysconfig/hwconf -j WRITE
/sbin/lidsconf -A BOOT -s /usr/sbin/kudzu -o CAP_SYS_ADMIN -j GRANT
/sbin/lidsconf -A BOOT -s /usr/sbin/kudzu -o CAP_NET_ADMIN -j GRANT
/sbin/lidsconf -A BOOT -s /usr/sbin/kudzu -o CAP_SYS_RAWIO -j GRANT
# Below lines are for anacron
/sbin/lidsconf -A BOOT -s /bin/rm -o /var/log/cron -j WRITE
/sbin/lidsconf -A BOOT -s /usr/sbin/anacron -o /var/spool/anacron/cron.daily -j WRITE
/sbin/lidsconf -A BOOT -s /usr/sbin/anacron -o /var/spool/anacron/cron.weekly -j WRITE
/sbin/lidsconf -A BOOT -s /usr/sbin/anacron -o /var/spool/anacron/cron.monthly -j WRITE
# Below lines are for cron/at
/sbin/lidsconf -A BOOT -s /sbin/syslogd -o /var/log/cron -j WRITE
/sbin/lidsconf -A BOOT -s /usr/sbin/crond -o CAP_SETUID -j GRANT
/sbin/lidsconf -A BOOT -s /usr/sbin/atd -o CAP_SETUID -j GRANT
/sbin/lidsconf -A BOOT -s /usr/sbin/atd -o CAP_SETGID -j GRANT
# Below lines are for any process
/sbin/lidsconf -A BOOT -s /bin/touch -o /var/lock/subsys -j WRITE
/sbin/lidsconf -A BOOT -s /bin/rm -o /var/lock/subsys -j WRITE
# Below line is for anything
/sbin/lidsconf -A BOOT -s /bin/touch -o /etc/sysconfig -j WRITE
# Below lines are for random-seed
/sbin/lidsconf -A BOOT -s /bin/dd -o /var/lib/random-seed -j WRITE
/sbin/lidsconf -A BOOT -s /bin/chmod -o /var/lib/random-seed -j WRITE
/sbin/lidsconf -A BOOT -s /bin/chmod -o CAP_FSETID -j GRANT
/sbin/lidsconf -A BOOT -s /bin/chgrp -o CAP_CHOWN -j GRANT
# Below line is for lastlog command
/sbin/lidsconf -A BOOT -s /bin/login -o /var/log/lastlog -j WRITE
# Below line is for sshd
/sbin/lidsconf -A BOOT -s /usr/sbin/sshd -o CAP_SETGID -j GRANT
/sbin/lidsconf -A BOOT -s /usr/sbin/sshd -o CAP_NET_BIND_SERVICE 22 -j GRANT
# Below lines are for DHCP-Client(Optional)
/sbin/lidsconf -A BOOT -s /sbin/dhclient -o /var/lib/dhcp/dhclient-eth0.leases -j WRITE
/sbin/lidsconf -A BOOT -s /sbin/dhclient -o CAP_NET_BIND_SERVICE 68 -j GRANT
/sbin/lidsconf -A BOOT -s /sbin/dhclient -o CAP_NET_RAW -j GRANT
/sbin/lidsconf -A BOOT -s /bin/login -o /var/log/lastlog -j WRITE
# Below lines are for local login
/sbin/lidsconf -A BOOT -s /sbin/mingetty -o CAP_SYS_TTY_CONFIG -j GRANT
/sbin/lidsconf -A BOOT -s /bin/login -o CAP_SYS_TTY_CONFIG -j GRANT
/sbin/lidsconf -A BOOT -s /bin/login -o CAP_DAC_OVERRIDE -j GRANT
/sbin/lidsconf -A BOOT -s /bin/login -o CAP_CHOWN -j GRANT
/sbin/lidsconf -A BOOT -s /bin/login -o CAP_FSETID -j GRANT
/sbin/lidsconf -A BOOT -s /bin/login -o CAP_SETGID -j GRANT
